'''
 * this file is part of project
 * PIC4BBB
 * 
 * Program and control for dsPIC33EP / PIC24EP
 * with BeagleBone BLACK
 * M. 2017

 Free, open-source, fully featured demonstrative software.

THIS SOFTWARE IS PROVIDED,
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
PROVIDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

----------------------------------------------------------------------------------

This is example for demonstration of I2C communication between
BBB (master) and dsPIC33EP / PIC24EP (slave)
The dsPIC Project:
pic4bbb_i2c
is used for the dsPIC programming.
'''

from Adafruit_I2C import Adafruit_I2C
from time import sleep
     
i2c = Adafruit_I2C(0x50, 2) # PIC I2C address; BBB I2C2

# turn off all LEDs
i2c.write8(0, 1); i2c.write8(1, 0); i2c.write8(2, 0)

for i in range(10):
    sleep(1) # 1s
    i2c.write8(0, 1) # ON LED 1H
    sleep(1) # 1s
    i2c.write8(1, 1) # ON LED 2H
    sleep(1) # 1s
    i2c.write8(2, 1) # ON LED 3H
    
    # reads and prints the LED state (must be 1, 1, 1)
    print('1H={}, 2H={}, 3H={}'.format(i2c.readU8(0), i2c.readU8(1), i2c.readU8(2))) 
    
    sleep(1) # 1s
    i2c.write8(0, 0) # OFF LED 1H
    sleep(1) # 1s
    i2c.write8(1, 0) # OFF LED 2H
    sleep(1) # 1s
    i2c.write8(2, 0) # OF LED 3H
    
    # reads and prints the LED state (must be 0, 0, 0)
    print('1H={}, 2H={}, 3H={}'.format(i2c.readU8(0), i2c.readU8(1), i2c.readU8(2))) 
