'''
 * this file is part of project
 * PIC4BBB
 * 
 * Program and control for dsPIC33EP / PIC24EP
 * with BeagleBone BLACK
 * M. 2017

 Free, open-source, fully featured demonstrative software.

THIS SOFTWARE IS PROVIDED,
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
PROVIDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

----------------------------------------------------------------------------------

This is example for demonstration of UART communication between
BBB and dsPIC33EP / PIC24EP
The dsPIC Project:
pic4bbb_uart
is used for the dsPIC programming.
'''

import serial
from time import sleep
     
com = serial.Serial('/dev/ttyO4', baudrate=115200, timeout=2)

for i in range(10):
    sleep(1) # 1s
    com.write(b'\0') # LED 1L ON
    print(repr(com.read()))
    sleep(1) # 1s
    com.write(b'\1') # LED 2L ON
    print(repr(com.read()))
    sleep(1) # 1s
    com.write(b'\2') # LED 3L ON
    print(repr(com.read()))
    sleep(1) # 1s
    com.write(b'\3') # LED 1L, 2L and 3L OFF
    print(repr(com.read()))
com.close()